OpenGL-2.8.0.0: A binding for the OpenGL graphics system

Portability | portable
Stability | stable
Maintainer | sven.panne@aedion.de
Safe Haskell | None

Graphics.Rendering.OpenGL.GL.Texturing.TextureTarget

Description

This is a purely internal module for marshaling texture targets.

# Documentation

data TextureTarget Source

Constructors

Texture1D |
Texture2D |
Texture3D |
TextureCubeMap |
TextureRectangle |

Instances

Eq TextureTarget |
Ord TextureTarget |
Show TextureTarget |

marshalTextureTarget :: TextureTarget -> GLenum Source

marshalProxyTextureTarget :: Proxy -> TextureTarget -> GLenum Source

data CubeMapTarget Source

Constructors

TextureCubeMapPositiveX |
TextureCubeMapNegativeX |
TextureCubeMapPositiveY |
TextureCubeMapNegativeY |
TextureCubeMapPositiveZ |
TextureCubeMapNegativeZ |

Instances

Eq CubeMapTarget |
Ord CubeMapTarget |
Show CubeMapTarget |

marshalCubeMapTarget :: CubeMapTarget -> GLenum Source

unmarshalCubeMapTarget :: GLenum -> CubeMapTarget Source